<h5 class="n-e">New Photo</h5>
<hr />
<%= form_with model: @photo, local: true do |f| %>
  <% if @photo.errors.any? %>
    <% @photo.errors.full_messages.each do |msg| %>
      <p class="alert alert-danger"><button class="close" data-dismiss="alert">x</button><%= msg %></p>
    <% end %>
  <% end %>

  <%= f.text_field :album_id, type: "hidden" %>

  <div class="row">
    <div class="col-xl-6 col-sm-12 mb-3 col-12">
      <%= f.label :title %><br />
      <%= f.text_field :title, autofocus: true, required: true, size: "25", autocomplete: "off", placeholder: "Photo Title" %>
    </div>
    <div class="col-xl-6 col-sm-12 mb-3 col-12">
      <%= f.label :description %><br />
      <%= f.text_area :description, required: true, cols: "30", maxlength: "300", placeholder: "Photo Description" %>
    </div>

    <div class="col-xl-4 col-sm-12 mb-3 col-12">
      <label id="label-image" class="btn btn-outline-dark" style="vertical-align: center; text-align: center"><i class="far fa-image"></i> <span style="font-weight: bold; font-style: italic;">Photo</span><%= f.file_field :image, hidden: true, class: "fileUpload" %></label>
      <img alt="your image" class="portimg photo-thumb hidden margin-photo" src="#">
    </div>
    <div class="col-xl-4 offset-xl-2 col-sm-12 mb-3 col-12 form-group">
      <%= f.label "Sharing mode" %><br />
      <select name="photo[mode]" id="photo_mode" class="form-control">
        <option value="false">public</option>
        <option value="true">private</option>
      </select>
    </div>

  </div>

  <hr />

  <%= del_btn_edit_photo(@photo) %><%= save_btn_edit_photo(@photo) %>

<% end %>